See Stacksync in action with a solution architect. Book a demo ↗
Files

Files

List files

GET
/v1/workspaces/{workspace_id}/files

The files of the workspace in a region, newest first.

Authorization

Authorizationstringheaderrequired

Bearer <key>, where <key> is a workspace API key or a user API key. See Authentication.

Path Parameters

workspace_id*integer

The workspace. List the ones your key can reach with GET /v1/workspaces.

Query Parameters

region*Regions

Region whose files are listed: besg (Europe) or usnv (United States)

Value in"besg""usnv"
search?|

Only files whose name contains this text

Defaultnull
limit?Limit

Maximum number of files returned, at most 100

Range1 <= value <= 100
Default50
cursor?|

next_cursor of the previous page; absent for the first page

Defaultnull

Response Body

OK

application/json
  1. response
data*array<>
has_more*Has More

Whether more files may follow this page: request the next one with cursor = next_cursor

next_cursor*|

Pass as cursor to get the next page; null on the last page

List files
curl -X GET 'https://api.stacksync.com/v1/workspaces/0/files?region=besg'
{  "data": [    {      "file_id": "<file_id>",      "name": "<name>",      "mime_type": "<mime_type>",      "size_bytes": 0,      "tags": [        "<tags>"      ],      "source": "<source>",      "source_ref": "<source_ref>",      "created_at": "<created_at>",      "region": "<region>"    }  ],  "has_more": false,  "next_cursor": "<next_cursor>"}